package csci291.gds.console;

import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

public class ConsoleDriver {
	ConsoleGUI console;
	
	public static void main(String[] args) {
		ConsoleDriver cd = new ConsoleDriver();
		cd.go();
	}
	
	private void go() {
		console = new ConsoleGUI("Test");
		console.print("######    ###########\n#    #    # !  #    #\n# @  #    # ## #    #\n#    ######  ! #    #\n#    !      ## #    #\n############## #    #\n#    !       # #    #\n#        !   # #### #\n#    &     !   # !  #\n#            # #    #\n#        !  !#      #\n#    !       ########\n####### ######  **  #\n#       !    #  !!  #\n#       !  !        #\n#         !  #      #\n#####################");
		console.setKeyInputHandler(new KeyInputHandler());
	}
	
	private class KeyInputHandler extends KeyAdapter {
		
		public void keyPressed(KeyEvent e) {
			if (e.getKeyChar() <= 128 && e.getKeyChar() >= 10){
				console.print(Character.toString(e.getKeyChar()));
			}
		}
		
		public void keyReleased(KeyEvent e) {
			
		}
		
		public void keyTyped(KeyEvent e) {
			// if we hit escape, then quit the game
			if (e.getKeyChar() == 27) {
				console.exit();
			}
		}
	}
}
